# Users

These API calls allow a logged in user to obtain information about which customers and products they have access to.

## Get a list of customers

> Get a list of customers to which a user is linked.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Users","description":"These API calls allow a logged in user to obtain information about which customers and products they have access to."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/list/customers":{"post":{"tags":["Users"],"summary":"Get a list of customers","description":"Get a list of customers to which a user is linked.","operationId":"getUserCustomerList","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"userIdentityToken":{"$ref":"#/components/schemas/UserIdentityToken"},"product":{"description":"Only list customers that have a certain product.","type":"string"}},"required":["userIdentityToken"]}}}},"responses":{"200":{"$ref":"#/components/responses/UserCustomerListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"schemas":{"UserIdentityToken":{"description":"A user token received on login to the single sign on system.","type":"string"},"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}},"responses":{"UserCustomerListResponse":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"customers":{"type":"array","items":{"type":"object","properties":{"customerId":{"description":"The id of the customer","type":"string","format":"number"},"name":{"description":"The name of the customer","type":"string"}}}}}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}}}}
```

## Get a list of products

> Get a list of products for a customer to which a user is linked.

```json
{"openapi":"3.0.3","info":{"title":"Synergy Sports - Auth API","version":"1.0.0"},"tags":[{"name":"Users","description":"These API calls allow a logged in user to obtain information about which customers and products they have access to."}],"servers":[{"url":"https://token.connect.sportradar.com/v1","description":"Production server"},{"url":"https://token.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"paths":{"/list/products":{"post":{"tags":["Users"],"summary":"Get a list of products","description":"Get a list of products for a customer to which a user is linked.","operationId":"getTokenUserList","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"userIdentityToken":{"$ref":"#/components/schemas/UserIdentityToken"},"customerId":{"$ref":"#/components/schemas/CustomerId"}},"required":["userIdentityToken","customerId"]}}}},"responses":{"200":{"$ref":"#/components/responses/UserProductListResponse"},"default":{"$ref":"#/components/responses/ErrorResponse"}}}}},"components":{"schemas":{"UserIdentityToken":{"description":"A user token received on login to the single sign on system.","type":"string"},"CustomerId":{"description":"The id of the customer.","type":"string","format":"number"},"ResponseMetaData":{"properties":{"code":{"description":"The HTTP response code for this request","type":"integer"},"codeVersion":{"description":"A string indicating the version of the code that handled this request","type":"string"},"generationTime":{"description":"The number of seconds taken to generate this request.","format":"float","type":"number"},"time":{"description":"The date/time this request was made (in UTC).","format":"date-time","type":"string"},"version":{"description":"The version of the API in use for this call","type":"string"}},"type":"object"},"ErrorModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32","type":"integer"},"errors":{"items":{"$ref":"#/components/schemas/ErrorListModel"},"type":"array"},"message":{"description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one.","type":"string"}},"type":"object"},"ErrorListModel":{"properties":{"code":{"description":"HTTP Error code indicating the type of error.","format":"int32","type":"integer"},"message":{"description":"A message indicating the reason for the error","type":"string"},"reason":{"description":"A short code indicating the type of error","enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR"]}},"type":"object"}},"responses":{"UserProductListResponse":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"products":{"type":"array","items":{"type":"object","properties":{"code":{"description":"The product code","type":"string"},"name":{"description":"The product name","type":"string"},"subProducts":{"description":"Some products may also have sub products.","type":"array","items":{"type":"object","properties":{"subProductId":{"description":"The id of the sub-product","type":"string","format":"number"},"subProductName":{"description":"The name of the sub-product","type":"string"}}}}}}}}},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}}}}}},"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"properties":{"error":{"$ref":"#/components/schemas/ErrorModel"},"meta":{"$ref":"#/components/schemas/ResponseMetaData"}},"type":"object"}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/auth-api/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
